Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media
Class AbstractVideoCodecCore

    java.lang.Object
      org.monte.media.AbstractVideoCodecCore

Direct Known Subclasses:
  TechSmithCodecCore

    public class AbstractVideoCodecCore

extends java.lang.Object

`AbstractVideoCodecCore`.

Version:
  $Id: AbstractVideoCodecCore.java 192 2012-03-29 22:00:37Z werner $
Author:
  Werner Randelshofer

Constructor Summary
`AbstractVideoCodecCore()`

Method Summary
`protected int` | `readInt24LE(javax.imageio.stream.ImageInputStream in)`
`protected void` | `readInts24LE(javax.imageio.stream.ImageInputStream in, int[] i, int off, int len)`
`protected int` | `readRGB555to24(javax.imageio.stream.ImageInputStream in)` Reads 16-bit RGB and converts it to 24-bit RGB.
`protected int` | `readRGB555to24LE(javax.imageio.stream.ImageInputStream in)` Reads 16-bit RGB and converts it to 24-bit RGB.
`protected int` | `readRGB565to24(javax.imageio.stream.ImageInputStream in)` Reads 16-bit RGB and converts it to 24-bit RGB.
`protected void` | `readRGBs555to24(javax.imageio.stream.ImageInputStream in, int[] i, int off, int len)` Reads 16-bit RGB and converts it to 24-bit RGB.
`protected void` | `readRGBs555to24LE(javax.imageio.stream.ImageInputStream in, int[] i, int off, int len)` Reads 16-bit RGB and converts it to 24-bit RGB.
`protected void` | `readRGBs565to24(javax.imageio.stream.ImageInputStream in, int[] i, int off, int len)` Reads 16-bit RGB and converts it to 24-bit RGB.
`protected void` | `writeInt24(javax.imageio.stream.ImageOutputStream out, int v)`
`protected void` | `writeInt24LE(javax.imageio.stream.ImageOutputStream out, int v)`
`protected void` | `writeInts24(javax.imageio.stream.ImageOutputStream out, int[] i, int off, int len)`
`protected void` | `writeInts24LE(javax.imageio.stream.ImageOutputStream out, int[] i, int off, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractVideoCodecCore

    public AbstractVideoCodecCore()

Method Detail

### writeInt24

    protected void writeInt24(javax.imageio.stream.ImageOutputStream out,
                              int v)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeInt24LE

    protected void writeInt24LE(javax.imageio.stream.ImageOutputStream out,
                                int v)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeInts24

    protected void writeInts24(javax.imageio.stream.ImageOutputStream out,
                               int[] i,
                               int off,
                               int len)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeInts24LE

    protected void writeInts24LE(javax.imageio.stream.ImageOutputStream out,
                                 int[] i,
                                 int off,
                                 int len)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readInts24LE

    protected void readInts24LE(javax.imageio.stream.ImageInputStream in,
                                int[] i,
                                int off,
                                int len)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### readInt24LE

    protected int readInt24LE(javax.imageio.stream.ImageInputStream in)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### readRGBs565to24

    protected void readRGBs565to24(javax.imageio.stream.ImageInputStream in,
                                   int[] i,
                                   int off,
                                   int len)
                            throws java.io.IOException

  Reads 16-bit RGB and converts it to 24-bit RGB. Endian is defined by input stream.

  Throws:
    `java.io.IOException`

### readRGB565to24

    protected int readRGB565to24(javax.imageio.stream.ImageInputStream in)
                          throws java.io.IOException

  Reads 16-bit RGB and converts it to 24-bit RGB. Endian is defined by input stream.

  Throws:
    `java.io.IOException`

### readRGBs555to24

    protected void readRGBs555to24(javax.imageio.stream.ImageInputStream in,
                                   int[] i,
                                   int off,
                                   int len)
                            throws java.io.IOException

  Reads 16-bit RGB and converts it to 24-bit RGB. Endian is defined by input stream.

  Throws:
    `java.io.IOException`

### readRGB555to24

    protected int readRGB555to24(javax.imageio.stream.ImageInputStream in)
                          throws java.io.IOException

  Reads 16-bit RGB and converts it to 24-bit RGB. Endian is defined by input stream.

  Throws:
    `java.io.IOException`

### readRGBs555to24LE

    protected void readRGBs555to24LE(javax.imageio.stream.ImageInputStream in,
                                     int[] i,
                                     int off,
                                     int len)
                              throws java.io.IOException

  Reads 16-bit RGB and converts it to 24-bit RGB. Endian is defined by input stream.

  Throws:
    `java.io.IOException`

### readRGB555to24LE

    protected int readRGB555to24LE(javax.imageio.stream.ImageInputStream in)
                            throws java.io.IOException

  Reads 16-bit RGB and converts it to 24-bit RGB. Endian is defined by input stream.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD